Skip to main content
PATCH
Update a Contact

Path Parameters

contact_id
string<uuid>
required

Body

application/json

Request body for updating a contact via PATCH.

first_name
string | null

First name of the contact

Maximum string length: 256
Example:

"Jane"

last_name
string | null

Last name of the contact

Maximum string length: 256
Example:

"Smith"

email
string | null

Email address of the contact

Maximum string length: 255
Example:

"jane@acme.com"

title
string | null

Job title of the contact

Maximum string length: 256
Example:

"VP of Engineering"

phone_number
string | null

Phone number of the contact

Example:

"+1-415-555-0132"

linkedin_url
string | null

LinkedIn profile URL (a linkedin.com/in/... URL)

Example:

"https://linkedin.com/in/janesmith"

location
string | null

Location of the contact

Maximum string length: 256
Example:

"San Francisco, CA"

notes
string | null

Notes about the contact

Maximum string length: 1125000
Example:

"Met at SaaStr 2025"

do_not_contact
boolean | null

Whether the contact has opted out of outreach

tags
string<uuid>[] | null

Tag IDs for the contact. Replaces the contact's existing tags.

country
string | null

Country of the contact, as a country name or code

Maximum string length: 128
Example:

"United States"

job_start_date
string<date> | null

Start date of the contact's current job

Example:

"2024-03-01"

Response

Successful Response

data
ContactResponse · object
required

Contact resource. Custom fields appear as additional keys prefixed with custom_field_.

meta
ResponseMeta · object